=== drivers/message/Makefile ===
#
# Makefile for MPT based block devices
#

obj-$(CONFIG_I2O)	+= i2o/
obj-$(CONFIG_FUSION)	+= fusion/
