## linux-linaro-mx51 2.6.37-1002.5

=== debian/changelog ===
linux-linaro-mx51 (2.6.37-1002.5) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams: 
    v2.6.37 final
    Ubuntu-2.6.37-12.28
  * Clean up lintian errors and warnings
    - LP: #697317

 -- John Rigby <john.rigby@linaro.org>  Sat, 08 Jan 2011 18:34:41 -0700

linux-linaro-mx51 (2.6.37-1001.4) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams:
    snapshot of linux-linaro-2.6.36 13Dec2010
    revert 2.6.36.1
    merge v2.6.37-rc4
    rebase Ubuntu-2.6.37-8.21 onto the result
  * LINARO: update configs
    enable CONFIG_SWAP, CONFIG_POSIX_MQUEUES, CONFIG_PERF_EVENTS

 -- John Rigby <john.rigby@linaro.org>  Mon, 13 Dec 2010 16:51:19 -0700

linux-linaro-mx51 (2.6.37-1000.3) natty; urgency=low

  [ John Rigby ]

  * LINARO: no build-depends-indep for now
  * LINARO: Fix problems with naming of flavour independent debs
  * OMAP4: enable smc instruction in new assembler versions

 -- John Rigby <john.rigby@linaro.org>  Wed, 01 Dec 2010 01:07:18 -0700

linux-linaro-mx51 (2.6.37-1000.2) natty; urgency=low

  [ John Rigby ]

  * fix problems with source package per flavour building

 -- John Rigby <john.rigby@linaro.org>  Tue, 30 Nov 2010 01:00:49 -0700

linux-linaro-mx51 (2.6.37-1000.1) natty; urgency=low

  [ John Rigby ]

  * rebase to new upstreams:
    snapshot of linux-linaro-2.6.36 24Nov2010
    minus commits from 2.6.36.1 merge
    merged with upstream v2.6.37-rc3
    plus sauce and packaging from Ubuntu-2.6.37-7.18
    all but three commits applied cleanly
    Fixed:
        UBUNTU: SAUCE: omap: remove calls to usb_nop_xceiv_register from board files
    Dropped:
        ARM: stack protector: change the canary value per task
        Revert "ARM: stack protector: change the canary value per task"
            after merge conflict was resolved the commit ended up being no change
            so the effect was to drop these

 -- John Rigby <john.rigby@linaro.org>  Fri, 26 Nov 2010 14:20:09 -0700

linux-linaro-mx51 (2.6.36-1000.1) natty; urgency=low

  [ John Rigby ]

  * First 2.6.36 release based on:
    linux-linaro-2.6.36 snapshot of 16Nov2010
      Note: this is core 2.6.36 plus ARM related from 2.6.37

    Ubuntu 2.6.37-5.13 packaging and sauce
      All Ubuntu patches applied cleanly or cleanly after fixes
      with the following exceptions.  See linaro-dropped.txt for details:

      These are not needed because these already are in linux-linaro-2.6.36:
        ARM: stack protector: change the canary value per task
        Revert "ARM: stack protector: change the canary value per task"

      These were not applied because ...:
        UBUNTU: SAUCE: fix documentation strings for struct input_keymap_entry
          This patch does not seem to patch any code that exists in linux-linaro-2.6.36
          For that matter it doesn't do what the description says even in Ubuntu
        mmap randomization for executable mappings on 32-bit
          Not a trivial merge failure, wait for linux-linaro-2.6.37 for this
        Fix userspace build of linux/fs.h
          patches a section of file that does not exist in 2.6.36
        UBUNTU: ubuntu: AUFS -- track changes to work queue initialisation
          change that makes this patch necessary is not in 2.6.36

    Linaro packaging

 -- John Rigby <john.rigby@linaro.org>  Thu, 18 Nov 2010 15:23:03 -0700

linux-linaro-mx51 (2.6.35-1008.15) maverick-proposed; urgency=low

  [ Robert Nelson ]

  * SRU: Fix DVI for Beagle xM rev A3
    - LP: #663642

 -- John Rigby <john.rigby@linaro.org>  Thu, 21 Oct 2010 11:01:14 -0600

linux-linaro-mx51 (2.6.35-1008.14) maverick-proposed; urgency=low

  [ Andy Whitcroft ]

  * reduce disk usage during buildd builds
    - LP: #645653

  [ Enric Balletbo i Serra ]

  * ARM: igepv2: Adding support for VBUS and overcurrent
    - LP: #651589
  * ARM: igepv2: Fix and improve LED handling
    - LP: #654582
  * ARM: igepv2: Introduce function to dectect HW version
    - LP: #654586
  * ARM: igepv2: Fix handling of GPIOs for WLAN-BT combo
    - LP: #654590
  * ARM: igepv2: Add i2c eeprom driver to read EDID
    - LP: #654594
  * ARM: igepv2: Remove VMMC2 regulator
    - LP: #654595

  [ Maurus Cuelenaere ]

  * SAUCE: ARM: OMAP3: Add S-Video output to IGEPv2 board
    - LP: #607250

  [ Upstream Stable ]
  * Linux 2.6.35.7

  [ Upstream MMC updates ]

  * mmc: recognize CSD structure
  * mmc: split mmc_sd_init_card()
  * mmc: implement SD-combo (IO+mem) support
  * sdhci: remove useless set_clock() check
  * sdhci: 8-bit data transfer width support
  * sdhci: don't assign mmc->caps at SDHCI directly
  * mmc: only set blockaddressed for > 2GiB cards
  * mmc: omap: fix for bus width which improves SD card's peformance.
  * sdhci-pltfm: switch to module device table matching
  * sdhci-pltfm: reorganize Makefile entries to support SoC devices
  * sdhci-pltfm: add support for CNS3xxx SoC devices
  * omap hsmmc: fix processing of all dma interrupts as block completion
  * sdhci: add regulator support
  * sdhci: add no hi-speed bit quirk support
  * mmc: avoid getting CID on SDIO-only cards
  * omap_hsmmc: remove unused local `state'
  * omap hsmmc: fix a racing case between kmmcd and omap_hsmmc_suspend
  * drivers/mmc/host/imxmmc.c: adjust confusing if indentation
  * mmc: sdhci-pltfm: Add structure for host-specific data
  * mmc: sdhci-pltfm: move .h file into appropriate subdir
  * mmc: sdhci: introduce get_ro private write-protect hook
  * mmc: sdhci_pltfm: pass more data on custom init call
  * mmc: sdhci-of-esdhc: factor out common stuff
  * mmc: sdhci-pltfm: add -pltfm driver for imx35/51
  * mmc: quirk fix for timeout problem
  * babbage: esdhc device registration
  * babbage: update mx51_defconfig
    - LP: #656966


  [ Upstream ARM fixes ]

  * Make PTRACE_SINGLESTEP work with user helpers
  * ARM: fix section mismatch warnings in Versatile Express
  * ARM: use memblock to remove memory from available memory
  * video: omap: vram: remove from normal memory
    - LP: #627779


