## linux-linaro-mx51 2.6.37-1003.6

=== debian/changelog ===
linux-linaro-mx51 (2.6.37-1003.6) natty; urgency=low

  [ John Rigby ]

  * Rebase to new upstreams:
    linaro-linux-2.6.37-upstream-24Jan2011
    Ubuntu-2.6.37-12.26
       Skipping because of conflicting upstream patches:
         ARM: stack protector: change the canary value per task
         Revert "ARM: stack protector: change the canary value per task"
         UBUNTU: SAUCE: ARM: OMAP: Beagle: support twl gpio differences on xM
  * Add U8500 flavour
  * Rebase to linaro-linux-2.6.37-upstream-27Jan2011
  * Fix Ubuntu upstream version number typo
  * Rebase to linaro-linux-2.6.37-upstream-31Jan2011
  * Rebase to linaro-linux-2.6.37-upstream-08Feb2011
  * Enforce CONFIG_PRINTK_TIME for all flavours
    - LP: #715576
  * Fix package control file to indicate that OMAP4 is supported
    - LP: #714590
  * Enforce CONFIG_PM_DEBUG for all flavours
    - LP: #713075
  * Add s5pv310 flavour
  * enable and enforce CONFIG_BTRFS_FS for all flavours
    - LP: #715835
  * Rebase to linaro-linux-2.6.37-upstream-10Feb2011
    - LP: #707038
  * Add config cleanup and automatic tmp branch creation to mkflavourbranches

 -- John Rigby <john.rigby@linaro.org>  Tue, 08 Feb 2011 19:56:22 -0700
