=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
 Vcs-Git: git://git.linaro.org/ubuntu/linux-linaro.git
 
-Package: linux-headers-2.6.37-1002
+Package: linux-headers-2.6.37-1003
 Architecture: armel
 Section: devel
 Priority: optional
@@ -17,19 +17,19 @@
 Description: Header files related to Linux kernel version 2.6.37
  This package provides kernel header files for version 2.6.37, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1002/debian.README.gz for details
+ /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1003/debian.README.gz for details
 
-Package: linux-linaro-tools-2.6.37-1002
+Package: linux-linaro-tools-2.6.37-1003
 Architecture: armel
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
-Description: Linux kernel tools for version 2.6.37-1002
+Description: Linux kernel tools for version 2.6.37-1003
  This package provides the architecture dependant parts for kernel
- version locked tools for version 2.6.37-1002 on
+ version locked tools for version 2.6.37-1003 on
  DESC.
 
-Package: linux-image-2.6.37-1002-linaro-mx51
+Package: linux-image-2.6.37-1003-linaro-mx51
 Architecture: armel
 Section: admin
 Priority: optional
@@ -54,20 +54,20 @@
  the linux-linaro-mx51 meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-2.6.37-1002-linaro-mx51
+Package: linux-headers-2.6.37-1003-linaro-mx51
 Architecture: armel
 Section: devel
 Priority: optional
-Depends: ${misc:Depends}, linux-headers-2.6.37-1002, ${shlibs:Depends}
+Depends: ${misc:Depends}, linux-headers-2.6.37-1003, ${shlibs:Depends}
 Description: Linux kernel headers for version 2.6.37 on Freescale i.MX51 based platforms
  This package provides kernel header files for version 2.6.37 on
  Freescale i.MX51 based platforms.
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1002/debian.README.gz
+ /usr/share/doc/linux-linaro-mx51-headers-2.6.37-1003/debian.README.gz
  for details.
 
-Package: linux-image-2.6.37-1002-linaro-mx51-dbgsym
+Package: linux-image-2.6.37-1003-linaro-mx51-dbgsym
 Architecture: armel
 Section: devel
 Priority: optional
